Index: src/analyzer.cpp
===================================================================
--- src/analyzer.cpp	(revision 63f06e549b4f5a9f18fc5ce0a5d858955003e9c4)
+++ src/analyzer.cpp	(revision 09af1ba17d496cca5e8ee8701a907e869f208b3c)
@@ -50,5 +50,4 @@
 	char *dir = NULL;
 	bool Hcorrected = true;
-	double norm;
 	int counter;
 
Index: src/boundary.cpp
===================================================================
--- src/boundary.cpp	(revision 63f06e549b4f5a9f18fc5ce0a5d858955003e9c4)
+++ src/boundary.cpp	(revision 09af1ba17d496cca5e8ee8701a907e869f208b3c)
@@ -1521,5 +1521,4 @@
 
 	cout << Verbose(1) << "Adding triangle to its lines" << endl;
-	int i = 0;
 	TrianglesOnBoundary.insert(TrianglePair(TrianglesOnBoundaryCount, BTS));
 	TrianglesOnBoundaryCount++;
@@ -1729,6 +1728,5 @@
 	Vector Mittelpunkt;
 
-	double CurrentEpsilon = 0.1;
-	double alpha, beta, gamma, SideA, SideB, SideC, sign, Umkreisradius, Restradius, Distance;
+	double alpha, beta, gamma, SideA, SideB, SideC, sign, Umkreisradius;
 	double BallAngle, AlternativeSign;
 	atom *Walker; // variable atom point
@@ -2152,5 +2150,4 @@
 	LineMap::iterator FindLine;
 	PointMap::iterator FindPoint;
-	bool Present[3];
 
 	*out << Verbose(2) << "Begin of CheckPresenceOfTriangle" << endl;
@@ -2214,5 +2211,4 @@
 void Find_third_point_for_Tesselation(Vector NormalVector, Vector SearchDirection, Vector OldSphereCenter, class BoundaryLineSet *BaseLine, atom *ThirdNode, atom*& OptCandidate, Vector *OptCandidateCenter, double *ShortestAngle, const double RADIUS, LinkedCell *LC)
 {
-	atom *Walker = NULL;
 	Vector CircleCenter;	// center of the circle, i.e. of the band of sphere's centers
 	Vector CirclePlaneNormal; // normal vector defining the plane this circle lives in
@@ -2225,5 +2221,4 @@
 	double radius;
 	double alpha, Otheralpha; // angles (i.e. parameter for the circle).
-	double Nullalpha; // angle between OldSphereCenter and NormalVector of base triangle
 	int N[NDIM], Nlower[NDIM], Nupper[NDIM];
 	atom *Candidate = NULL;
@@ -2371,7 +2366,5 @@
 {
 	cout << Verbose(2) << "Begin of Find_second_point_for_Tesselation" << endl;
-	int i;
 	Vector AngleCheck;
-	atom* Walker;
 	double norm = -1., angle;
 	LinkedAtoms *List = NULL;
@@ -2441,5 +2434,4 @@
 	int i = 0;
 	LinkedAtoms *List = NULL;
-	atom* Walker;
 	atom* FirstPoint;
 	atom* SecondPoint;
@@ -2566,5 +2558,4 @@
 	ofstream *tempstream = NULL;
 	char NumberName[255];
-	double tmp;
 
 	atom* Opt_Candidate = NULL;
@@ -2676,5 +2667,5 @@
 			string NameofTempFile(tempbasename);
 			NameofTempFile.append(NumberName);
-			for(size_t npos = NameofTempFile.find_first_of(' '); npos != -1; npos = NameofTempFile.find(' ', npos))
+			for(size_t npos = NameofTempFile.find_first_of(' '); npos != string::npos; npos = NameofTempFile.find(' ', npos))
 				NameofTempFile.erase(npos, 1);
 			NameofTempFile.append(TecplotSuffix);
@@ -2690,5 +2681,5 @@
 			string NameofTempFile(tempbasename);
 			NameofTempFile.append(NumberName);
-			for(size_t npos = NameofTempFile.find_first_of(' '); npos != -1; npos = NameofTempFile.find(' ', npos))
+			for(size_t npos = NameofTempFile.find_first_of(' '); npos != string::npos; npos = NameofTempFile.find(' ', npos))
 				NameofTempFile.erase(npos, 1);
 			NameofTempFile.append(Raster3DSuffix);
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 63f06e549b4f5a9f18fc5ce0a5d858955003e9c4)
+++ src/builder.cpp	(revision 09af1ba17d496cca5e8ee8701a907e869f208b3c)
@@ -628,10 +628,8 @@
 static void ManipulateAtoms(periodentafel *periode, MoleculeListClass *molecules, config *configuration)
 {
-  atom *first, *second, *third, *fourth;
-  Vector **atoms;
+  atom *first, *second;
   molecule *mol = NULL;
   Vector x,y,z,n; // coordinates for absolute point in cell volume
   double *factor; // unit factor if desired
-  double a,b,c;
   double bond, min_bond;
   char choice;  // menu choice char
@@ -749,11 +747,8 @@
 static void ManipulateMolecules(periodentafel *periode, MoleculeListClass *molecules, config *configuration)
 {
-  atom *first, *second, *third, *fourth;
-  Vector **atoms;
+  atom *first;
   Vector x,y,z,n; // coordinates for absolute point in cell volume
-  double a,b,c;
   int j, axis, count, faktor;
   char choice;  // menu choice char
-  bool valid;
   molecule *mol = NULL;
   element **Elements;
@@ -912,10 +907,7 @@
 {
   char choice;  // menu choice char
-  bool valid;
   Vector center;
   int nr, count;
   molecule *mol = NULL;
-  char *molname = NULL;
-  int length;
 
   cout << Verbose(0) << "==========EDIT MOLECULES=====================" << endl;
@@ -1030,5 +1022,4 @@
 {
   char choice;  // menu choice char
-  bool valid;
 
   cout << Verbose(0) << "===========MERGE MOLECULES=====================" << endl;
@@ -1891,9 +1882,6 @@
 	molecule *mol = NULL;
 	config configuration;
-	double tmp1;
-	atom *first, *second;
 	char choice;	// menu choice char
 	Vector x,y,z,n;	// coordinates for absolute point in cell volume
-	bool valid; // flag if input was valid or not
 	ifstream test;
 	ofstream output;
@@ -1901,6 +1889,5 @@
 	char ConfigFileName[MAXSTRINGSIZE];
 	char *ElementsFileName = NULL;
-	int Z;
-	int j, axis, count, faktor;
+	int j;
 
 	// =========================== PARSE COMMAND LINE OPTIONS ====================================
Index: src/ellipsoid.cpp
===================================================================
--- src/ellipsoid.cpp	(revision 63f06e549b4f5a9f18fc5ce0a5d858955003e9c4)
+++ src/ellipsoid.cpp	(revision 09af1ba17d496cca5e8ee8701a907e869f208b3c)
@@ -217,5 +217,4 @@
 	int PointsLeft = 0;
 	int PointsPicked = 0;
-	double value, threshold;
 	int Nlower[NDIM], Nupper[NDIM];
 	set<int> PickedAtomNrs;	 // ordered list of picked atoms
@@ -274,5 +273,5 @@
 				PickedAtomNrs.insert(index);
 			}
-		} while (PickedAtomNrs.size() < PointsToPick);
+		} while (PickedAtomNrs.size() < (size_t) PointsToPick);
 
 		index = 0; // now go through all and pick those whose from PickedAtomsNr
